org.codehaus.plexus.personality.plexus.lifecycle.phase

## Class StoppingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.personality.plexus.lifecycle.phase.StoppingException

All Implemented Interfaces:
  Serializable

    public class StoppingException
    extends Exception

Error occuring while starting a component.

Version:
  $Id: StoppingException.java 2019 2005-05-28 18:09:59Z jvanzyl $
Author:
  Brett Porter
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StoppingException(String message)`
`StoppingException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StoppingException

    public StoppingException(String message)

#### StoppingException

    public StoppingException(String message,
                     Throwable cause)